public class Person {

    /** Schluessel, der die Person eindeutig kennzeichnet
     */
    protected int key;

    protected String vorname, nachname;

    /** Gibt an, ob die Person maennlich oder weiblich ist
     */
    protected boolean male;

    /** Gibt an, ob die Person einen Hochschulabschluss besitzt
     */
    protected boolean hochschule;

   

    public Person () {
	
	String antwort;

	System.out.print ("Key der Person: ");
	key = Integer.parseInt(System.console().readLine());

	System.out.print ("Vorname der Person: ");
	vorname = System.console().readLine();

	System.out.print ("Nachname der Person: ");
	nachname = System.console().readLine();
	
	System.out.print ("Ist die Person maennlich [j/n]? ");
	antwort = System.console().readLine();
	if   (antwort.equals("j")) male = true;
	else                       male = false;
	
	
	System.out.print ("Besitzt die Person einen Hochschulabschluss [j/n]? ");
	antwort = System.console().readLine();
	if   (antwort.equals("j")) hochschule = true;
	else                       hochschule = false;

	
    }
    
    public Person (int key) {   
	this.key = key;
    }
    
    public Person (String vorname, String nachname) {   
	this (0, vorname, nachname, true, false);
    }
    
    
    public Person (int key, String vorname, String nachname,
		   boolean male, boolean hochschule) {  
	
	this(key);
	this.vorname = vorname;
	this.nachname = nachname;
	this.male = male;
	this.hochschule = hochschule;
    }
    
    public String toString () {
	
	String anrede;
	
	if   (male) anrede = "Herr ";
	else        anrede = "Frau ";
	
	return anrede + vorname + " " + nachname;
	
    }
    
    public void mahnung (int gebuehr) {
	
	System.out.println ("\n" + "Mitteilung an " + this +":");
	System.out.println ("Ihre Mahngebuehr betraegt " + gebuehr + " Euro.");
	
    }
    
    
    
    public int mahnung (int gebuehr, int gebuehr2) {
	return gebuehr + gebuehr2;
    }


    public static void sendeMahnungen (Person [] ausleiher, int gebuehr) {
	
	for (Person p : ausleiher) {
	    p.mahnung (gebuehr);
	}
     
    }
     
    
    public static void main (String [] args) {
	
	Person x = new Person ();
	
	System.out.println ("Eingelesen wurde " + x);
	
	Person y = new Person ("Hans", "Meier");
	
	System.out.println ("Eingelesen wurde " + y + " mit Schluessel " + y.key);
	
    }
    
    
}


    
